> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Create the audit logging storage integration

POST https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging
Content-Type: application/json

Configure the cloud storage destination to use for audit log exports for an organization. 
### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
- To read or update this setting for a tenant organization, use [impersonation](/docs/impersonate-users) to obtain a token for that tenant, then call this endpoint with that token.
- Create, update, and delete requests may return before the storage integration is actually provisioned or removed. Call [GET /v2/organizations/settings/storageIntegration/auditLogging](/reference/get-audit-logging-storage-integration) afterward to confirm the change has taken effect.

Reference: https://help.sigmacomputing.com/reference/create-audit-logging-storage-integration

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Body (application/json)

This endpoint expects an organizations_createAuditLoggingStorageIntegration_Request.

- `organizations_createAuditLoggingStorageIntegration_Request`

## Response

### 202

The storage integration settings after accepting the create request.

- `provider` (enum, required) — Cloud storage provider for the audit log exports.
  - Allowed values: `aws`, `azure`, `gcp`
- `allowedLocation` (string, required) — Cloud storage URI for the audit log exports.
- `storageAwsRoleArn` (string, optional) — AWS IAM role ARN Sigma assumes to write to the destination bucket.
- `tenantId` (string, optional) — Azure AD tenant ID that owns the destination storage account.

## Types

### OrganizationsCreateAuditLoggingStorageIntegrationRequest0

AWS audit logging storage integration.

- `provider` (enum, required) — Cloud storage provider to store audit log exports in an AWS S3 bucket.
  - Allowed values: `aws`
- `allowedLocation` (string, required) — S3 URI audit logs must export to. For example, `s3://my-bucket/audit-logs`.
- `storageAwsRoleArn` (string, required) — AWS IAM role ARN Sigma assumes to write audit logs to the destination bucket.

### OrganizationsCreateAuditLoggingStorageIntegrationRequest1

Azure audit logging storage integration.

- `provider` (enum, required) — Cloud storage provider to store audit log exports in Azure Blob Storage.
  - Allowed values: `azure`
- `allowedLocation` (string, required) — Azure Blob Storage URI audit logs must export to. For example, `azure://myaccount.blob.core.windows.net/audit-logs`.
- `tenantId` (string, required) — Azure AD tenant ID that owns the destination storage account.

### OrganizationsCreateAuditLoggingStorageIntegrationRequest2

GCP audit logging storage integration.

- `provider` (enum, required) — Cloud storage provider to store audit log exports in a GCS bucket.
  - Allowed values: `gcp`
- `allowedLocation` (string, required) — GCS URI audit logs must export to. For example, `gcs://my-bucket/audit-logs`.

## Examples

**Request**

```json
{
  "allowedLocation": "string",
  "provider": "aws",
  "storageAwsRoleArn": "string"
}
```

**Response**

```json
{
  "provider": "aws",
  "allowedLocation": "string",
  "storageAwsRoleArn": "string",
  "tenantId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging"

payload = {
    "allowedLocation": "string",
    "provider": "aws",
    "storageAwsRoleArn": "string"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"allowedLocation":"string","provider":"aws","storageAwsRoleArn":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging"

	payload := strings.NewReader("{\n  \"allowedLocation\": \"string\",\n  \"provider\": \"aws\",\n  \"storageAwsRoleArn\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"allowedLocation\": \"string\",\n  \"provider\": \"aws\",\n  \"storageAwsRoleArn\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"allowedLocation\": \"string\",\n  \"provider\": \"aws\",\n  \"storageAwsRoleArn\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging', [
  'body' => '{
  "allowedLocation": "string",
  "provider": "aws",
  "storageAwsRoleArn": "string"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"allowedLocation\": \"string\",\n  \"provider\": \"aws\",\n  \"storageAwsRoleArn\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "allowedLocation": "string",
  "provider": "aws",
  "storageAwsRoleArn": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/organizations/settings/storageIntegration/auditLogging")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```